Referência de endpointsRegras
Ativar / desativar uma regra
PATCH
bearerAuthheader
AutorizaçãoBearer <token>Token de API criado em Configurações → API. Os escopos ficam vinculados ao token; cada operação lista o escopo exigido em x-scope.
id*stringFormato
uuidorg_id?stringSomente parceiros (orgs:manage): atua sobre esta organização filha. Também pode ser enviado como org_id em corpos JSON.
Formato
uuidapplication/json- body
active?booleanlabel?|Tamanho
length <= 120Regra
application/json- response
id?stringFormato
uuidstore_id?stringFormato
uuidtype?stringValor em
"block""allow"target?stringValor em
"domain""src""hash"value?stringlabel?string|nullactive?booleancreated_at?stringFormato
date-timecurl -X PATCH "https://example.com/rules/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "active": false }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "store_id": "7fe87115-950c-4ae8-bd7e-970406bc9ac0", "type": "block", "target": "domain", "value": "string", "label": "string", "active": true, "created_at": "2019-08-24T14:15:22Z"}